# GstVideoCodecAlphaMeta

This meta is primarily for internal use in GStreamer elements to support VP8/VP9 transparent video stored into WebM or Matroska containers, or transparent static AV1 images. Nothing prevents you from using this meta for custom purposes, but it generally can't be used to easily to add support for alpha channels to CODECs or formats that don't support that out of the box.

## GstVideoCodecAlphaMeta

Encapsulate an extra frame containing the encoded alpha channel for the currently negotiated CODEC. The streams must be of the same dimention as the original one.

### Members

`meta` (GstMeta) –

parent GstMeta

`buffer` (GstBuffer *) –

the encoded alpha frame

Since : 1.20

## GstVideo.VideoCodecAlphaMeta

Encapsulate an extra frame containing the encoded alpha channel for the currently negotiated CODEC. The streams must be of the same dimention as the original one.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`buffer` (Gst.Buffer) –

the encoded alpha frame

Since : 1.20

## GstVideo.VideoCodecAlphaMeta

Encapsulate an extra frame containing the encoded alpha channel for the currently negotiated CODEC. The streams must be of the same dimention as the original one.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`buffer` (Gst.Buffer) –

the encoded alpha frame

Since : 1.20

### Functions

#### gst_video_codec_alpha_meta_get_info

    const GstMetaInfo *
    gst_video_codec_alpha_meta_get_info ()

Returns –

GstMetaInfo pointer that describes GstVideoCodecAlphaMeta.

Since : 1.20

#### GstVideo.prototype.video_codec_alpha_meta_get_info

    function GstVideo.prototype.video_codec_alpha_meta_get_info(): {
        // javascript wrapper for 'gst_video_codec_alpha_meta_get_info'
    }

Returns (Gst.MetaInfo) –

Gst.MetaInfo pointer that describes GstVideo.VideoCodecAlphaMeta.

Since : 1.20

#### GstVideo.video_codec_alpha_meta_get_info

    def GstVideo.video_codec_alpha_meta_get_info ():
        #python wrapper for 'gst_video_codec_alpha_meta_get_info'

Returns (Gst.MetaInfo) –

Gst.MetaInfo pointer that describes GstVideo.VideoCodecAlphaMeta.

Since : 1.20

## Functions

### gst_buffer_add_video_codec_alpha_meta

    GstVideoCodecAlphaMeta *
    gst_buffer_add_video_codec_alpha_meta (GstBuffer * buffer,
                                           GstBuffer * alpha_buffer)

Attaches a GstVideoCodecAlphaMeta metadata to buffer with the given alpha buffer.

Parameters:

`buffer` ( [transfer: none]) –

a GstBuffer

`alpha_buffer` ( [transfer: full]) –

a GstBuffer

Returns ( [transfer: none]) –

the GstVideoCodecAlphaMeta on buffer.

Since : 1.20

### GstVideo.prototype.buffer_add_video_codec_alpha_meta

    function GstVideo.prototype.buffer_add_video_codec_alpha_meta(buffer: Gst.Buffer, alpha_buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_video_codec_alpha_meta'
    }

Attaches a GstVideo.VideoCodecAlphaMeta metadata to buffer with the given alpha buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`alpha_buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstVideo.VideoCodecAlphaMeta) –

the GstVideo.VideoCodecAlphaMeta on buffer.

Since : 1.20

### GstVideo.buffer_add_video_codec_alpha_meta

    def GstVideo.buffer_add_video_codec_alpha_meta (buffer, alpha_buffer):
        #python wrapper for 'gst_buffer_add_video_codec_alpha_meta'

Attaches a GstVideo.VideoCodecAlphaMeta metadata to buffer with the given alpha buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`alpha_buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstVideo.VideoCodecAlphaMeta) –

the GstVideo.VideoCodecAlphaMeta on buffer.

Since : 1.20

### gst_video_codec_alpha_meta_api_get_type

    GType
    gst_video_codec_alpha_meta_api_get_type ()

Returns –

GType for the GstVideoCodecAlphaMeta structure.

Since : 1.20

### GstVideo.prototype.video_codec_alpha_meta_api_get_type

    function GstVideo.prototype.video_codec_alpha_meta_api_get_type(): {
        // javascript wrapper for 'gst_video_codec_alpha_meta_api_get_type'
    }

Returns (GObject.Type) –

GObject.Type for the GstVideo.VideoCodecAlphaMeta structure.

Since : 1.20

### GstVideo.video_codec_alpha_meta_api_get_type

    def GstVideo.video_codec_alpha_meta_api_get_type ():
        #python wrapper for 'gst_video_codec_alpha_meta_api_get_type'

Returns (GObject.Type) –

GObject.Type for the GstVideo.VideoCodecAlphaMeta structure.

Since : 1.20

## Function Macros

### gst_buffer_get_video_codec_alpha_meta

    #define gst_buffer_get_video_codec_alpha_meta(b) \
        ((GstVideoCodecAlphaMeta *)gst_buffer_get_meta((b),GST_VIDEO_CODEC_ALPHA_META_API_TYPE))

Helper macro to get GstVideoCodecAlphaMeta from an existing GstBuffer.

Parameters:

`b` –

A GstBuffer pointer, must be writable.

Returns ( [nullable]) –

the GstVideoCodecAlphaMeta pointer, or NULL if none.

Since : 1.20

## Constants

### GST_VIDEO_CODEC_ALPHA_META_API_TYPE

    #define GST_VIDEO_CODEC_ALPHA_META_API_TYPE (gst_video_codec_alpha_meta_api_get_type())

Since : 1.20

### GST_VIDEO_CODEC_ALPHA_META_INFO

    #define GST_VIDEO_CODEC_ALPHA_META_INFO  (gst_video_codec_alpha_meta_get_info())

Since : 1.20

The results of the search are